Name:           perl-Math-Base85
Version:        0.2
Release:        2%{?dist}
Summary:        Perl extension for base 85 numbers, as referenced by RFC 1924

Group:          Development/Libraries
License:        GPL or Artistic
URL:            http://search.cpan.org/dist/Math-Base85/
Source0:        http://search.cpan.org/CPAN/authors/id/T/TM/TMONROE/Math-Base85-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker)
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
RFC 1924 describes a compact, fixed-size representation of IPv6 addresses
which uses a base 85 number system. This module handles some of the uglier
details of it.

%prep
%setup -q -n Math-Base85-%{version}


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*


%check
make test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc Changes README rfc1924.txt
%{perl_vendorlib}/*
%{_mandir}/man?/*


%changelog
* Tue May 22 2007 Sindre Pedersen Bjørdal <foolish[AT]guezz.net> - 0.2-2
- Add rfc1924.txt to %%doc
- Remove unnecessary BR
- Fix license tag
* Sat May 05 2007 Sindre Pedersen Bjørdal <foolish[AT]guezz.net> - 0.2-1
- Initial build
